Subject: Re: git-svn vs. $Id$

From: Tommi Virtanen <[email-masked]>
Date: Tue, 16 May 2006 21:12:08 +0300

Linus Torvalds wrote:
> Isn't there some flag to svn to avoid keyword expansion, like "-ko" to 
> CVS?
> 
> Any import script definitely should avoid keyword expansion (and that's 
> true whether you end up wanting to use keywords or not).

Well, yes, I agree. But, at least git-svn.txt says this:

BUGS
----
...
svn:keywords can't be ignored in Subversion (at least I don't know of
a way to ignore them).

I guess one might be able to reach that information through the svn API.

Or just propget svn:keywords and sed s/\$Id\(:[^$]*\)\$/$Id$/ all files
with keywords, for all relevant keywords. Eww.

-- 
Inoi Oy, Tykistökatu 4 D (4. krs), FI-20520 Turku, Finland
http://www.inoi.fi/
Mobile +358 40 762 5656